"""

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2016

"""
# STANDARD IMPORTS

# INNER-MODULE IMPORTS

# EXPORTS
__all__ = ('Updater', 'Updater_1')

## CODE ##

class Updater(object):
    def _read_sql_string(self, string):
        return filter(lambda s: s != '' and s[:2] != '--', map(str.strip, string.split('\n')))

    def _read_sql_file(self, path):
        return filter(lambda s: s != '' and s[:2] != '--', map(str.strip, file(path).read().split('\n')))

    def apply(self, conn):
        # apply update
        conn.executescript(self.SQL) # Commits before script execution
        #for query in self._read_sql_string(self.SQL):
        #    conn.execute(query)

class Updater_1(Updater): # Senitel
    SQL = ''
    def apply(self, conn): pass # Nothing to do


## EOF ##
