"""

Suggest tags for the following activities:
    * images are given, a tag to be added is suggested
    * suggestions of tags to filter
    * expansion of a search query
    * collapse tags


Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2017

"""
# inner-module imports
from suggest_rank import suggest_rank
from suggest_new import suggest_new

# exports
__all__ = ('suggest_rank', 'suggest_new')

## EOF ##
