"""

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2017
"""
# imports

# inner-module imports
from iterators import Graph

# exports
__all__ = []


## code ##

class Feature(object):
    def __init__(self, model, candidates, filters=None):
        self.model = model
        self.candidates = candidates
        self.filters = filters is not None and filters or []
        self.graph = Graph(self.model.conn) # Hacky?!
        for c in candidates: self.graph.tag_by_name(c) # cache tags

## EOF ##
