"""
Given
* tag
* candidates
* filters
* model

Current history
* Correlation to (last) history tag(s)
    corr(last_added, tag)

* Mutual information to (last) history tag(s)
    mi(last_added, tag)

* Cosine distance to (last) history tag(s)
    ...

* Tversky index to (last) history tag(s)
    ...


Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2017
"""
# imports

# inner-module imports
from feature import Feature

# exports
__all__ = ('CurrentHistory', )


## code ##

class CurrentHistory(Feature):
    def split_ratio(self, tag): # Split ratio w.r.t current images
        #len(img_with_tag) / len(current_imgs)
        #= len(img_with_tag) / len(imgs_with_any_filter)
        raise NotImplementedError()
        #img_with_tag =
        #current_imgs =
        return len(img_with_tag) / len(current_imgs)

    def info(self, tag): # Self-Information w.r.t current images
        #-log( current imgs with tag / len(current imgs) )
        raise NotImplementedError()

    #* Current images with tag / Total images with tag
    #    len(current img with tag) / len(imgs with tag)

    def freq_tags(self, tag): # Frequencies: current Images having tags / # tags
        # current imgs with tag / len(tags)
        raise NotImplementedError()

    def freq_images(self, tag): # Frequencies: current Images having tags / # images
        # current imgs with tag / len(imgs)
        raise NotImplementedError()

    def freq_assignments(self, tag): # Frequencies: current Images having tags / # assignments}
        # current imgs with tag / ????
        raise NotImplementedError()

if __name__ == ' __main__':
    #feat = CurrentHistory()
    #feat.split_ratio(tag)
    #feat.info(tag)
    #feat.freq_tags(tag)
    #feat.freq_images(tag)
    pass

## EOF ##
