"""Dialogue which shows some text.
"""
# imports
from kivy.properties import StringProperty
from os.path import join, dirname
from kivy.lang import Builder
from dialogue import Dialogue

# exports
__all__ = ('LabelDialogue', )

# Load kv
Builder.load_file(join(dirname(__file__), 'dlg_text.kv'))

# Classes
class LabelDialogue(Dialogue):
    """Dialogue with some text.

    Set the default text as **text**.

    >>> LabelDialogue(text='Hello world').open()

    """

    text = StringProperty('')

## EOF ##
